PamCut: TrkCalQualCut Class Reference

# TrkCalQualCut Class Reference

The tracker calibration quality cut. More...

`#include <TrkCalQualCut.h>`

Inheritance diagram for TrkCalQualCut:

List of all members.

## Public Member Functions
| TrkCalQualCut (const char *cutName)
| Constructor.
| ~TrkCalQualCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The tracker calibration quality check.
int | GetCalibration ()
| Returns the calibration type of the last examined event.
## Private Attributes
int | _calibration

## Detailed Description

The tracker calibration quality cut.

Definition at line 24 of file TrkCalQualCut.h.

## Constructor & Destructor Documentation

TrkCalQualCut::TrkCalQualCut | ( | const char * | cutName | ) | `[inline]`

Constructor.

Definition at line 28 of file TrkCalQualCut.h.

TrkCalQualCut::~TrkCalQualCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 32 of file TrkCalQualCut.h.

## Member Function Documentation

int TrkCalQualCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The tracker calibration quality check.

This method checks the calibration of the event and updates the calibration information returned by GetCalibration

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if tracker calibration is online or default.

  TRKCAL_BAD otherwise.

Implements PamCut.

Definition at line 12 of file TrkCalQualCut.cpp.

References _calibration, CUTOK, TRKCAL_BAD, TRKCAL_DEFAULT, and TRKCAL_ONLINE.

int TrkCalQualCut::GetCalibration | ( |  | ) | `[inline]`

Returns the calibration type of the last examined event.

Returns:
  TRKCAL_BAD if the event has a bad calibration.

  TRKCAL_ONLINE if the event uses a validated online calibration.

  TRKCAL_DEFAULT if the event uses the default calibration.

Definition at line 27 of file TrkCalQualCut.cpp.

References _calibration.

## Member Data Documentation

int TrkCalQualCut::_calibration`[private]`

Definition at line 57 of file TrkCalQualCut.h.

Referenced by Check(), and GetCalibration().

The documentation for this class was generated from the following files:

- TrkCuts/TrkCalQualCut/TrkCalQualCut.h
- TrkCuts/TrkCalQualCut/TrkCalQualCut.cpp